#include "Salamander.h"
#include "BackgroundManager.h"
#include "GameManager.h"
#include "PhysicsMaker.h"
#include "Application.h"

using namespace Salamander;
#include "Windows.h"

//int main()
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
    LPSTR lpCmdLine, int nCmdShow)
{
	application().addManager(*(new BackgroundManager()));
	application().addManager(*(new GameManager()));
	//application().addManager(*(new PhysicsMaker()));
	application().run();

    return 0;
}
